#!/usr/bin/env python3

import os
import sys
import numpy as np

from xtb_io import *

from ase.io import read
from ase.units import fs, Hartree, Bohr, kB
from ase.calculators.socketio import SocketClient

import sys

path = "system.xyz"
mol = read(path, format="xyz")

# Coordinates and atnums are well interpreted
atnums = mol.get_atomic_numbers()
coords = mol.get_positions()
# Cell and pbc are NOT well interpreted by ASE's tmol reader, so they must be set manually 
# I could also fix them in the calculator but whatever
# Charge must be set manually as with any ASE method, only the global charge is taken into account for XTB
charges = np.zeros(len(atnums))
#charges[0] = 
mol.set_initial_charges(charges)
#cell = mol.get_cell()
#pbc = mol.get_pbc()

mol.set_cell([(22.08, 0.0, 0.0), (0.0, 22.08, 0.0), (0.0, 0.0, 22.08)])
mol.pbc = (True, True, True)
cell = mol.get_cell()
pbc = mol.get_pbc()

#print(cell,pbc)
#sys.exit()

# Calculator setup
mol.set_calculator(XTB())

client = SocketClient(host='192.168.100.156', port=8740)

client.run(mol)

